<template>
    <v-btn rounded width="100%" x-large color="#fdb947" class="btnEnter" @click="authWithGoogleProvider">
        <img src="~@/assets/imgs/Google.png" />
        {{ title }}
    </v-btn>
</template>
<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import { auth, GProvider } from '@/config/firebase';
@Component
export default class ButtonGoogle extends Vue {
    @Prop({ default: '' }) readonly title!: string;
    authWithGoogleProvider() {
        auth.signInWithRedirect(GProvider);
    }
}
</script>
<style scoped>
.btnEnter {
    z-index: 1;
}
img {
    margin: 0 auto;
}
</style>
